# Pto mask

From PanoTools.org Wiki

Pto_mask can add mask to Hugin .pto project files.

The general use is:

       pto_mask [switches] --mask=mask.msk@imgNr input.pto

--mask=mask.msk@imgNr Load the mask from the file named mask.msk and apply it to the image with the number imgNr. The mask file can be generated from the mask tab - Save mask. This switch can be specified several times to add several mask at once.

## Switches

- -o|--output output.pto Output a pto file with the given filename. If not given it will append "_mask" to the input filename.
- --rotate=CLOCKWISE|90|COUNTERCLOCKWISE|-90 Rotates the mask 90° clockwise or counter-clockwise before apply the mask to the image.
- --process=CLIP|SCALE|PROP_SCALE Processing options, if the mask size does not correspond to the image size
  - CLIP Does clip the mask at the image borders.
  - SCALE Scale the mask independently at x and y scale to fit inside the image.
  - PROP_SCALE Scale the mask proportional to fit inside the image.
- -h | --help Display help.

Retrieved from "http://wiki.panotools.org/index.php?title=Pto_mask&oldid=15427[*]"